# OwnTracks Import
Imports GeoJSON location records to [OwnTracks Recorder](https://github.com/owntracks/recorder) through HTTP. Initially developed to migrate data from [Dawarich](https://github.com/Freika/dawarich) to OwnTracks Recorder.

Requires Dart runtime.

## Features
- Defaults to `phone` for device when `tracker_id` is not provided
- Removes `device_tracker.` prefix from `tracker_id` field if exists
- By default waits for 2 seconds before each request to avoid hitting OpenCage free tire API rate limits (Used by Recorder for reverse geocoding)

## Anti-features
- Errors handling is bad
- Can't authenticate
- Tested only on GeoJSON exported by Dawarich

## Usage
```
dart bin/owntracks_import.dart -s <GeoJSON file path> -d <Recorder IP address with protocol and port> -v

dart bin/owntracks_import.dart --help
```